import React, { Component, ReactNode } from "react";
interface Breakpoint {
    name: string;
    value: number;
}
interface ResponsiveContext {
    breakpoint: Breakpoint;
    isGreaterThan: (value: string | number) => boolean;
    isLessThan: (value: string | number) => boolean;
}
declare const ResponsiveConsumer: React.Consumer<Breakpoint>;
declare const withBreakpoints: (Comp: React.ComponentType<ResponsiveContext>) => (props: any) => React.JSX.Element;
interface ResponsiveWrapperProps {
    children: ReactNode;
}
interface MediaQueryListWithBreakpoint extends MediaQueryList {
    breakpoint?: number;
    name?: string;
}
declare class ResponsiveWrapper extends Component<ResponsiveWrapperProps, Breakpoint> {
    mediaQueries: MediaQueryListWithBreakpoint[];
    constructor(props: ResponsiveWrapperProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    dispatchActiveQuery: () => void;
    render(): React.JSX.Element;
}
interface ResponsiveProps {
    unmount?: boolean;
    showFor?: "small" | "medium" | "large" | "xlarge";
    hideFor?: "small" | "medium" | "large" | "xlarge";
    children: ReactNode;
}
declare class Responsive extends Component<ResponsiveProps> {
    render(): React.JSX.Element;
}
export { ResponsiveWrapper, ResponsiveConsumer, Responsive, withBreakpoints };
//# sourceMappingURL=Responsive.d.ts.map